: Interface LabelBureauInterface

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.jigsaw.pics
Interface LabelBureauInterface

All Known Implementing Classes:
  SampleLabelBureau

public interface LabelBureauInterface

Interface for the label bureau. This interface that the PICS protocol handler relies on to get the labels for any URL.

Field Summary
`static int` | `FMT_FULL` Tag for the full label format.
`static int` | `FMT_MINIMAL` Tag for the minimal label format.
`static int` | `FMT_SHORT` Tag for the short label format.
`static int` | `FMT_SIGNED` Tag for the signed label format.

Method Summary
`java.lang.String` | `getIdentifier()` Get this bureau identifier.
`LabelServiceInterface` | `getLabelService(java.lang.String identifier)` Get a label service handler, given its identifier.

Field Detail

### FMT_MINIMAL

    public static final int FMT_MINIMAL

  Tag for the minimal label format.

### FMT_SHORT

    public static final int FMT_SHORT

  Tag for the short label format.

### FMT_FULL

    public static final int FMT_FULL

  Tag for the full label format.

### FMT_SIGNED

    public static final int FMT_SIGNED

  Tag for the signed label format.

Method Detail

### getIdentifier

    public java.lang.String getIdentifier()

  Get this bureau identifier. A bureau should have a uniq String identifier, which is used by the PICS filter to create it (through the LabelBureauFactory), dump it and restore it.

### getLabelService

    public LabelServiceInterface getLabelService(java.lang.String identifier)

  Get a label service handler, given its identifier. A service identifier is expected to be its URL, as defined in the PICS specification.
  Parameters:
    `identifier` - The service URL identifier.
  Returns:
    An object conforming to the LabelServiceInterface, or null if none was found.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD